[Toybox] [PATCH 02/10] scripts/make: Do not add -lutil to linker flags.

Georgi Chorbadzhiyski gf at unixsol.org
Wed Mar 7 16:38:54 PST 2012


---
 scripts/make.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/scripts/make.sh b/scripts/make.sh
index f5bf0fd..bec6c17 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -103,7 +103,7 @@ do_loudly()
 }
 
 do_loudly ${CROSS_COMPILE}${CC} $CFLAGS -I . -o toybox_unstripped $OPTIMIZE \
-  main.c lib/*.c $TOYFILES -Wl,--as-needed,-lutil,--no-as-needed || exit 1
+  main.c lib/*.c $TOYFILES -Wl,--as-needed,--no-as-needed || exit 1
 do_loudly ${CROSS_COMPILE}${STRIP} toybox_unstripped -o toybox || exit 1
 # gcc 4.4's strip command is buggy, and doesn't set the executable bit on
 # its output the way SUSv4 suggests it do so.
-- 
1.7.5.1


 1331167134.0


More information about the Toybox mailing list